#!/usr/bin/env perl
use strict;
use warnings;

use FindBin::libs;
use Perl6::Say;
use IO::String;
use Benchmark::Timer;
use HuffmanCoder;

use Path::Class qw/file/;

my $in  = file(shift)->openr;
my $out = \*STDOUT;

my $t = Benchmark::Timer->new;
$t->start('huff_decode');
HuffmanCoder->decode($in, \*STDOUT);
$t->stop('huff_decode');

warn scalar $t->reports;

